/*
 * Copyright (c) 2022 Proton AG
 *
 * This file is part of Proton Mail.
 *
 * Proton Mail is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Proton Mail is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Proton Mail. If not, see https://www.gnu.org/licenses/.
 */
package ch.protonmail.android.activities.composeMessage

import android.os.AsyncTask
import ch.protonmail.android.activities.messageDetails.repository.MessageDetailsRepository
import ch.protonmail.android.data.local.model.Message
import kotlinx.coroutines.runBlocking

internal class SaveMassageTask(
    private val messageDetailsRepository: MessageDetailsRepository,
    private val savedMessage: Message
) : AsyncTask<Unit, Unit, Unit>() {

    override fun doInBackground(vararg units: Unit) {
        runBlocking {
            messageDetailsRepository.saveMessage(savedMessage)
        }
    }
}
